Poky Dunfell 3.1.6 broken due to pseudo changes


Peter Kjellerstedt
 

If you upgrade an existing build tree to use the Poky Dunfell 3.1.6 release,
you are likely to see a lot of pseudo aborts. This is because commit e3cab68b
in poky (commit 8c1084f3 in meta-yocto) was not backported to meta-poky. Due
to this, OELAYOUT_ABI remains at 12, and thus the sanity test in sanity.bbclass
that should prevent an existing tmp directory from being used does not trigger.

Can you backport this change to get poky back to a working state?

//Peter


Steve Sakoman
 

On Mon, Mar 1, 2021 at 1:46 AM Peter Kjellerstedt
<peter.kjellerstedt@...> wrote:

If you upgrade an existing build tree to use the Poky Dunfell 3.1.6 release,
you are likely to see a lot of pseudo aborts. This is because commit e3cab68b
in poky (commit 8c1084f3 in meta-yocto) was not backported to meta-poky. Due
to this, OELAYOUT_ABI remains at 12, and thus the sanity test in sanity.bbclass
that should prevent an existing tmp directory from being used does not trigger.

Can you backport this change to get poky back to a working state?
Yes! Sorry I missed this :-(

Steve